package io.hackle.hackle;

class Constants {
    static class Method {
        static final String INITIALIZE = "initialize";
        static final String VARIATION = "variation";
        static final String VARIATION_DETAIL = "variationDetail";
        static final String IS_FEATURE_ON = "isFeatureOn";
        static final String FEATURE_FLAG_DETAIL = "featureFlagDetail";
        static final String TRACK = "track";
        static final String GET_DEVICE_ID = "getDeviceId";
        static final String SET_DEVICE_ID = "setDeviceId";
        static final String GET_USER = "getUser";
        static final String SET_USER = "setUser";
        static final String SET_USER_ID = "setUserId";
        static final String SET_USER_PROPERTY = "setUserProperty";
        static final String RESET_USER = "resetUser";
        static final String REMOTE_CONFIG_GET_BOOL = "remoteConfigGetBool";
        static final String REMOTE_CONFIG_GET_DOUBLE = "remoteConfigGetDouble";
        static final String REMOTE_CONFIG_GET_INT = "remoteConfigGetInt";
        static final String REMOTE_CONFIG_GET_STRING = "remoteConfigGetString";
    }

    static class Argument {
        static final String SDK_KEY = "sdkKey";
        static final String WRAPPER_NAME = "wrapperName";
        static final String WRAPPER_VERSION = "wrapperVersion";
        static final String HACKLE_CONFIG = "hackleConfig";
        static final String EXPERIMENT_KEY = "experimentKey";
        static final String FEATURE_KEY = "featureKey";
        static final String EVENT = "event";
        static final String REMOTE_CONFIG_KEY = "remoteConfigKey";
        static final String REMOTE_CONFIG_DEFAULT_VALUE = "remoteConfigDefaultValue";
        static final String USER = "user";
        static final String USER_ID = "userId";
        static final String USER_PROPERTY_KEY = "userPropertyKey";
        static final String USER_PROPERTY_VALUE = "userPropertyValue";
        static final String DEVICE_ID = "deviceId";
    }

    static class Configs {
        static final String EXPOSURE_EVENT_DEDUP_INTERVAL_MILLIS = "exposureEventDedupIntervalMillis";
        static final String DEBUG = "debug";
    }
}